Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicToolBarUI.ToolBarFocusListener

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicToolBarUI.ToolBarFocusListener

All Implemented Interfaces:
  EventListener, FocusListener

Enclosing class:
  BasicToolBarUI

protected class BasicToolBarUI.ToolBarFocusListener
extends Object
implements FocusListener

Constructor Summary
`protected` | `BasicToolBarUI.ToolBarFocusListener()`

Method Summary
`void` | `focusGained(FocusEvent e)` Invoked when a component gains the keyboard focus.
`void` | `focusLost(FocusEvent e)` Invoked when a component loses the keyboard focus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicToolBarUI.ToolBarFocusListener

    protected BasicToolBarUI.ToolBarFocusListener()

Method Detail

### focusGained

    public void focusGained(FocusEvent e)

  Description copied from interface: `FocusListener`
  Invoked when a component gains the keyboard focus.
  Specified by:
    `focusGained` in interface `FocusListener`

### focusLost

    public void focusLost(FocusEvent e)

  Description copied from interface: `FocusListener`
  Invoked when a component loses the keyboard focus.
  Specified by:
    `focusLost` in interface `FocusListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.